# Generated by Django 2.0.5 on 2020-06-01 07:47

from django.db import migrations


class Migration(migrations.Migration):

    def add_display_name(apps, schema_editor):
        Role = apps.get_model("accounts", "Role")
        display_names = {
            "owner": "Admin",
            "admin": "Super User",
            "staff": "User"
        }
        for role in Role.objects.all():
            role.display_name = display_names.get(role.role_name)
            role.save()

    dependencies = [
        ('accounts', '0084_role_display_name'),
    ]

    operations = [
        migrations.RunPython(add_display_name)
    ]
